Bug 1939558 - pulp3: katello content switchover rake task uses a sync task instead of an async task
Summary: pulp3: katello content switchover rake task uses a sync task instead of an as...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.9.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: Justin Sherrill
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-16 15:58 UTC by Vladimír Sedmík
Modified: 2021-04-21 13:26 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:26:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32109 0 Normal Ready For Testing katello content switchover rake task uses a sync task instead of an async task 2021-03-16 15:59:03 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:26:54 UTC

Description Vladimír Sedmík 2021-03-16 15:58:22 UTC
Description of problem:
When trying to migrate a setup with 9 RH repos published into 90 CVs in total, I hit a task timeout during the switchover:

[root@satellite ~]# foreman-rake katello:pulp3_content_switchover
rake aborted!
Timeout::Error: The time waiting for task 0a74a331-ee37-483c-82d6-05615be7023e to finish exceeded the 'foreman_tasks_sync_task_timeout' (120s)


Version-Release number of selected component (if applicable):
6.9.0 snap 17


How reproducible:
1/1


Steps to Reproduce:
1. have a SAT with 9 RH repos published into 90 CVs
2. run the content migration to pulp3


Actual results:
timeout error


Expected results:
no errors


Additional info:
Workaround: To avoid the timeout error set higher value for 'Sync task timeout' (Administer > Settings > ForemanTasks)

Comment 1 Bryan Kearney 2021-03-16 16:04:42 UTC
Upstream bug assigned to jsherril

Comment 2 Bryan Kearney 2021-03-16 16:04:44 UTC
Upstream bug assigned to jsherril

Comment 5 Vladimír Sedmík 2021-03-29 10:53:25 UTC
Verified on snap 19.1 with tfm-rubygem-katello-3.18.1.22-1.el7sat.noarch

[root@satellite ~]# foreman-rake katello:pulp3_content_switchover
Content Switchover completed successfully

Comment 8 errata-xmlrpc 2021-04-21 13:26:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.